Bug 1132476 - pmlogsummary output improvements
Summary: pmlogsummary output improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pcp
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-21 12:13 UTC by Marko Myllynen
Modified: 2015-02-20 20:41 UTC (History)
7 users (show)

Fixed In Version: pcp-3.10.2-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 10:07:11 UTC


Attachments (Terms of Use)
pmlogsummary-output.txt (419 bytes, text/plain)
2014-08-21 12:13 UTC, Marko Myllynen
no flags Details

Description Marko Myllynen 2014-08-21 12:13:46 UTC
Created attachment 929182 [details]
pmlogsummary-output.txt

Description of problem:
The attached text file shows "pmlogsummary -HlfiImMy -S @10:00 -T @11:00 ./20140814 disk.partitions.write mem.freemem | head -7" output which could be slightly improved:

1) the reported archive ending date matches -T but the reported commencing date does not match -S
2) header is not aligned with date (might need to shorten maximum_time to max_t etc to make it possible)
3) different instances are not aligned (see sr0 vs sda1)

Version-Release number of selected component (if applicable):
3.9.9

Comment 1 Ken McDonell 2014-08-21 23:11:13 UTC
I don't think 2) and 3) are within the scope of pmlogsummary's intended capabilities. The man page contains this statement.... The pmlogsummary output format is spartan as it is intended to be post-processed with standard tools.

So output alignment is outside the tool's scope.

1) is a bug, what should appear (also from the man page) is ... the archive label, showing the  log  format  version, the time and date for the start and (current) end of the archive time window, ..." ... I don't recall what "(current)" is meaning to imply here, but the sample output seems to indicate the reported times are the start of the archive and the end of the time window, which is not helpful.

Fixed in commit 085422e4ff1e60637e23e399f771112a859047e4 in my tree, with qa/824 to reproduce/demonstrate fix.

Comment 2 Fedora Update System 2014-09-05 08:53:47 UTC
pcp-3.9.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc21

Comment 3 Fedora Update System 2014-09-05 08:54:36 UTC
pcp-3.9.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc20

Comment 4 Fedora Update System 2014-09-05 08:55:27 UTC
pcp-3.9.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc19

Comment 5 Fedora Update System 2014-09-05 08:56:21 UTC
pcp-3.9.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.el6

Comment 6 Fedora Update System 2014-09-05 08:57:13 UTC
pcp-3.9.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.el5

Comment 7 Fedora Update System 2014-09-06 00:59:50 UTC
Package pcp-3.9.10-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.9.10-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10197/pcp-3.9.10-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-09-15 16:00:10 UTC
pcp-3.9.10-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc19

Comment 9 Fedora Update System 2014-09-15 16:00:50 UTC
pcp-3.9.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc20

Comment 10 Fedora Update System 2014-09-15 16:01:31 UTC
pcp-3.9.10-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc21

Comment 11 Fedora Update System 2014-09-27 10:07:11 UTC
pcp-3.9.10-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-10-31 08:02:12 UTC
pcp-3.10.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.0-1.fc20

Comment 13 Fedora Update System 2014-10-31 08:03:25 UTC
pcp-3.10.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.10.0-1.fc19

Comment 14 Fedora Update System 2014-11-10 18:27:09 UTC
pcp-3.10.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-11-10 18:27:40 UTC
pcp-3.10.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-01-26 17:09:58 UTC
pcp-3.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-1.el5

Comment 17 Fedora Update System 2015-02-04 21:31:12 UTC
pcp-3.10.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-2.el5

Comment 18 Fedora Update System 2015-02-20 20:41:49 UTC
pcp-3.10.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.